> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/prezentare-generala-a-cererilor-api-geopard/88.-mutatie-exporta-hartazone-ca-shapefile-zipuit.md).

# 88. Mutație: Exportă HartaZone ca Shapefile zipuit

Generează un arhiv zip cu "ZonesMap" selectat ca fișier shapefile.

{% hint style="info" %}
Arhiva constă din fișiere \*.shp, \*.shx, \*.prj, \*.dbf în EPSG:4326.
{% endhint %}

### 1. Pregătire

* Atributul `vectorAnalysisMaps` conține un tablou de obiecte ZonesMaps (VectorAnalysisMaps) care urmează a fi exportate. Fiecare astfel de obiect include o pereche de `fieldUuid` (legătură la Field selectat) și `uuid` (legătură la ZonesMap selectat).
* Atributul boolean `asMultiGeometry` determină dacă zonele sunt exportate ca `Poligoane` sau `MultiPoligoane` (când este setat la `true` ).
* Atributul boolean `onlyProductColumns` specifică dacă doar coloanele cu produse (RX) ar trebui incluse în shapefile (când `true`). În caz contrar, toate atributele statistice și ID-urile zonelor vor fi incluse ca coloane.
* Atributul `archiveName` ține numele arhivei zip generate.
* Atributul `filePostfix` permite adăugarea de postfixe personalizate la fișierele și arhiva exportate.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Descarcă arhiva generată

După executarea interogării GraphQL, este posibil să o descarci folosind `curl` sau o abordare similară.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/prezentare-generala-a-cererilor-api-geopard/88.-mutatie-exporta-hartazone-ca-shapefile-zipuit.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
